Name: openlibraries
Summary: Library suite for non-linear editing, VFX and rich media applications
Version: 0.3.0
Release: alt1
License: LGPL
Group: System/Libraries
URL: http://www.openlibraries.org

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source0: %name-%version.tar.gz

Patch0: openlibraries-0.3.0-alt-avformat-make.patch
Patch1: openlibraries-0.3.0-alt-link.patch
Patch2: openlibraries-0.3.0-alt-rpath.patch

Patch10: openlibraries-0.2-compile.patch
Patch11: openlibraries-0.3.0-libpath.patch

# Automatically added by buildreq on Wed May 02 2007
BuildRequires: boost-filesystem-devel boost-python-devel boost-regex-devel boost-iostreams-devel
BuildRequires: boost-thread-devel bzlib-devel gcc4.1-c++ libXt-devel libavformat-devel
BuildRequires: libglew-devel libglut-devel libjpeg-devel libmiracle-devel libmlt++-devel
BuildRequires: libopenal-devel libpng-devel libqt3-devel libsqlite3-devel libtiff-devel
BuildRequires: libxml2-devel openexr-devel python-dev

%description
Openlibraries contains a powerful cross-platform set of libraries that provide
developers with the key building blocks they need to easily create, test
and deploy rich media applications.

%package -n lib%name
Summary: OpenLibraries libraries
Group: System/Libraries

%description -n lib%name
This package contains the libraries needed to run programs dynamically
linked with openlibraries.

%package -n lib%name-devel
Summary: Headers for developing programs that will use openlibraries
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
OpenLibraries development headers/libs.

%package media
Summary: OpenLibraries sample media files
Group: Video
Requires: lib%name = %version-%release

%description media
OpenLibraries sample media files.

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1

%patch10 -p1
%patch11 -p1

%build
%__autoreconf
%configure \
	--with-qtlib=%_libdir/qt3/lib \
	--with-boosttoolset=gcc \
	--with-boostruntime=mt \
	--with-boostthreadruntime=mt \
	--disable-gelato

%make_build

%install
%make DESTDIR=%buildroot install

%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig

%files -n lib%name
%_libdir/*.so.*
%dir %_libdir/%name-%version
%_libdir/%name-%version/openimagelib
%_libdir/%name-%version/openmedialib
%_libdir/%name-%version/openobjectlib
%_libdir/%name-%version/openassetlib
%_libdir/%name-%version/openeffectslib
%python_sitelibdir/*.so

%files -n lib%name-devel
%_includedir/%name-%version
%_libdir/*.so
%_pkgconfigdir/*.pc

%files media
%_datadir/%name-%version

%changelog
* Wed May 02 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.3.0-alt1
- initial build
